Skip to main content
PATCH
Update property

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

eventName
string
required

The unique identifier of the event whose property you want to update.

propertyName
string
required

The name of the property to be updated within the specified event.

Body

application/json
description
string

A description of the property that will be shown as help text in HubSpot.

displayOrder
integer<int32>

For not hidden properties, indicates the order to display the property on the record's activity timeline (ex: displayOrder: 0 is at the top).

hidden
boolean

Controls whether or not this property is displayed on the record's activity timeline.

label
string

Human readable label for the property. Used in HubSpot UI.

options
object[]

A list of available options for the property if it is an enumeration. NOTE: This field is only applicable for enumerated properties.

Response

successful operation

A HubSpot property

description
string
required

A description of the property.

fieldType
string
required

The field type of the property.

groupName
string
required

The name of the group to which this property belongs.

label
string
required

The display label for the property.

name
string
required

The unique name of the property.

options
object[]
required

An array of options available for this property, applicable if the property supports multiple values.

type
string
required

The data type of the property.

archived
boolean

Indicates whether the property is archived.

archivedAt
string<date-time>

The date and time when this property was archived, in ISO 8601 format.

calculated
boolean

Indicates whether the property is calculated.

calculationFormula
string

The formula used to calculate the property's value, if applicable.

createdAt
string<date-time>

The date and time when this property was created, in ISO 8601 format.

createdUserId
string

The ID of the user who created this property.

currencyPropertyName
string

The name of the currency property associated with this property.

dataSensitivity
enum<string>

The sensitivity level of the data, with valid values including 'non_sensitive', 'sensitive', and 'highly_sensitive'.

Available options:
highly_sensitive,
non_sensitive,
sensitive
dateDisplayHint
enum<string>

A hint for displaying date properties, with valid values including 'absolute', 'absolute_with_relative', 'time_since', and 'time_until'.

Available options:
absolute,
absolute_with_relative,
time_since,
time_until
displayOrder
integer<int32>

The order in which this property is displayed relative to other properties.

externalOptions
boolean

Indicates whether the property options are external.

formField
boolean

Indicates whether the property is a form field.

hasUniqueValue
boolean

Indicates whether the property has a unique value.

hidden
boolean

Indicates whether the property is hidden.

Example:

false

hubspotDefined
boolean

Indicates whether the property is defined by HubSpot.

modificationMetadata
object
numberDisplayHint
enum<string>

A hint for displaying number properties, with valid values including 'unformatted', 'formatted', 'currency', 'percentage', 'duration', and 'probability'.

Available options:
currency,
duration,
formatted,
percentage,
probability,
unformatted
referencedObjectType
string

The type of object that this property references.

sensitiveDataCategories
string[]

An array of categories indicating the sensitivity of the data.

showCurrencySymbol
boolean

Indicates whether a currency symbol is shown for the property.

textDisplayHint
enum<string>

A hint for displaying text properties, with valid values including 'unformatted_single_line', 'multi_line', 'email', 'phone_number', 'domain_name', 'ip_address', 'physical_address', and 'postal_code'.

Available options:
domain_name,
email,
ip_address,
multi_line,
phone_number,
physical_address,
postal_code,
unformatted_single_line
updatedAt
string<date-time>

The date and time when this property was last updated, in ISO 8601 format.

updatedUserId
string

The ID of the user who last updated this property.

Last modified on September 9, 2026